Edit image (qwen-image-edit)
curl --request POST \
--url https://rockapi.ai/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\n \"model\": \"qwen-image-edit-plus\",\n \"input\": {\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": [\n {\n \"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"\n },\n {\n \"text\": \"Generate an image that matches the depth map and follows this description: an old red bicycle parked on a muddy path with a dense primeval forest in the background\"\n }\n ]\n }\n ]\n },\n \"parameters\": {\n \"n\": 2,\n \"negative_prompt\": \" \",\n \"prompt_extend\": true,\n \"watermark\": false\n }"
'import requests
url = "https://rockapi.ai/v1/images/edits"
payload = "{
\"model\": \"qwen-image-edit-plus\",
\"input\": {
\"messages\": [
{
\"role\": \"user\",
\"content\": [
{
\"image\": \"https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp\"
},
{
\"text\": \"Generate an image that matches the depth map and follows this description: an old red bicycle parked on a muddy path with a dense primeval forest in the background\"
}
]
}
]
},
\"parameters\": {
\"n\": 2,
\"negative_prompt\": \" \",
\"prompt_extend\": true,
\"watermark\": false
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "model": "qwen-image-edit-plus",\n "input": {\n "messages": [\n {\n "role": "user",\n "content": [\n {\n "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"\n },\n {\n "text": "Generate an image that matches the depth map and follows this description: an old red bicycle parked on a muddy path with a dense primeval forest in the background"\n }\n ]\n }\n ]\n },\n "parameters": {\n "n": 2,\n "negative_prompt": " ",\n "prompt_extend": true,\n "watermark": false\n }')
};
fetch('https://rockapi.ai/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>",
"revised_prompt": "<string>"
}
]
}Image generation/Qwen
Edit image (qwen-image-edit)
High-quality image generation using Alibaba Bailian Qwen-Image models. Supports advanced prompt engineering and specific style controls for professional visual content.
POST
/
v1
/
images
/
edits
Edit image (qwen-image-edit)
Ủy quyền
Authenticate with a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Nội dung
application/json
